mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Remoting.Metadata.W3cXsd2001.ISoapXsd System.Runtime.InteropServices.ComVisible(true)

For more information about XSD data types, see the "XML Data Types Reference" in the MSDN Library at http://msdn.microsoft.com/library.

Wraps an XSD nonNegativeInteger type.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with a value.

  A value to initialize the current instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added

  Returns the XML Schema definition language (XSD) of the current SOAP type.

  A that indicates the XSD of the current SOAP type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Remoting.Metadata.W3cXsd2001.SoapNonNegativeInteger `` To be added

  Converts the specified into a object.

  A object that is obtained from .

  The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns as a .

  A that is obtained from .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Decimal To be added. To be added.

  Gets or sets the numeric value of the current instance.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the XML Schema definition language (XSD) of the current SOAP type.